This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 564541 - Tomcat plugin: Start, Stop, Restart ops do not work.
Tomcat plugin: Start, Stop, Restart ops do not work.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.3
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Rajan Timaniya
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2010-02-12 23:19 EST by Ondřej Žižka
Modified: 2013-09-02 03:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:27:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2010-02-12 23:19:20 EST
StR:

1) Install Tomcat 5.5.28 on RHEL 5, start it, make it monitored.
2) Invoke the Restart operation.
3) It will stay "In Progress" for a long time, then finally get to the Success state, but with this Operation Result: 

Shutdown may have failed: java.lang.RuntimeException: Script returned error or non-zero exit code while shutting down the Tomcat instance. Exit code [null], Shutdown may have failed (server appears to still be running), Restart may have failed.

By the way, when re-directed after it became Success, the Facelets error page appeared (see the attachment).
Comment 1 Ondřej Žižka 2010-02-12 23:19:57 EST
And the most important: Tomcat was NOT restarted.
Comment 2 Ondřej Žižka 2010-02-12 23:28:07 EST
Not sure how I got that FL page, unable to reproduce.
Comment 3 Ondřej Žižka 2010-02-12 23:39:00 EST
To be clear: Unable to reproduce that FL page. The Restart op is well reproducible.
Comment 4 Ondřej Žižka 2010-02-12 23:51:01 EST
... and I saved wrong page, so I can't atach anything, and since I can't delete comments from Bugzilla, all these FL-related gibberish will spook here forever and the bug will stay burried.
Comment 5 Ondřej Žižka 2010-02-13 00:06:44 EST
Start op does not work either.

java.lang.RuntimeException: Server failed to start: 
	at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.start(TomcatServerOperationsDelegate.java:196)
	at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.start(TomcatServerOperationsDelegate.java:151)
	at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.invoke(TomcatServerOperationsDelegate.java:133)
	at org.jboss.on.plugins.tomcat.TomcatServerComponent.invokeOperation(TomcatServerComponent.java:420)
	at sun.reflect.GeneratedMethodAccessor1873.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:585)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
	at java.util.concurrent.FutureTask.run(FutureTask.java:123)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:651)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:676)
	at java.lang.Thread.run(Thread.java:595)
Comment 6 Ondřej Žižka 2010-02-13 00:18:22 EST
Shutdown op does not work either. Like Restart, it is In Progress for a minute or two and then fails.

----------------------------------------
java.lang.RuntimeException: Server failed to shutdown
	at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.shutdown(TomcatServerOperationsDelegate.java:281)
	at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.shutdown(TomcatServerOperationsDelegate.java:274)
	at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.invoke(TomcatServerOperationsDelegate.java:128)
	at org.jboss.on.plugins.tomcat.TomcatServerComponent.invokeOperation(TomcatServerComponent.java:420)
	at sun.reflect.GeneratedMethodAccessor1873.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:585)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:269)
	at java.util.concurrent.FutureTask.run(FutureTask.java:123)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:651)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:676)
	at java.lang.Thread.run(Thread.java:595)
Comment 7 wes hayutin 2010-02-16 11:59:04 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 8 wes hayutin 2010-02-16 12:03:48 EST
making sure we're not missing any bugs in rhq_triage
Comment 9 Jay Shaughnessy 2010-04-07 09:33:51 EDT
wondering if the agent and tomcat were running as different users and that the agent didn't have privs.
Comment 10 Ondřej Žižka 2010-04-08 06:54:20 EDT
I don't thinks so, I did everything under root (as needed by EWS). But I can verify that next week.
But if that was the case, could the exception be more descriptive about the reason?
Comment 11 Jay Shaughnessy 2010-06-24 12:05:35 EDT
This may have been the same problem as was resolved in https://bugzilla.redhat.com/show_bug.cgi?id=604444.

Unless we get more info I think we can resolve it as a duplicate.
Comment 12 Rajan Timaniya 2010-09-15 05:20:22 EDT
Verified on JON 2.4

The Start/Stop/Restart operations are successfully completing on inventoried
Tomcat5 and Tomcat6 servers.

The Tomcat5 and Tomcat6 Version is successfully captured by JON.
Comment 13 Heiko W. Rupp 2013-09-02 03:27:13 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.